## Settings._provider Settings._provider — Xlet settings object |

## Functions

boolean | bindProperty ()
boolean | unbindProperty ()
| finalize ()
| getValue ()
| setValue ()

## Object Hierarchy

        Object
        ╰── Settings._provider

## Description

This is the settings object produced in the settings API.

## Functions

### bindProperty ()

    boolean
    bindProperty (Settings.BindingDirection   sync_type,
                  string                      key_name,
                  string                      applet_var,
                  function                    applet_callback,
                                              user_data);

Bind an applet proprety/varaible to a setting

#### Parameters

sync_type | the direction of the binding |
key_name | the id of the setting |
applet_var | the applet's property that is used to hold the setting (eg. `this.value` passes as `"value`") |
applet_callback | (optional) the applet method to call when the setting has changed and the new values set |
user_data | (optional) any extra data/object you wish to pass to the callback |

#### Returns

Whether the bind was successful

### unbindProperty ()

    boolean
    unbindProperty (string   key_name);

Reverses the effect of `bindProperty`.

#### Parameters

key_name | the id of the setting |

#### Returns

Whether the unbind was successful.

### finalize ()

    finalize ();

Destroys the setting object.

### getValue ()

    getValue (String   key_name);

Returns the currently stored value of the key `key_name`

#### Parameters

key_name | the key name to fetch the value for |

#### Returns

The currently stored value of the key

### setValue ()

    setValue (string   key_name,
                       value);

Sets the value of `key_name` to `value`.

#### Parameters

key_name | the key name to set the value for |
value | the new value |